Appearance
car-auctions-website
14 endpoints.
GET /api/v1/car-auctions-website/lots
Car Lots
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
q | query | no | ||
make | query | no | ||
province | query | no | ||
area | query | no | ||
source | query | no | ||
sale_type | query | no | ||
type | query | no | ||
ends | query | no | ||
min_year | query | no | ||
max_km | query | no | ||
min_price | query | no | ||
max_price | query | no | ||
sort | query | no | string | |
page | query | no | integer | |
per_page | query | no | integer | |
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/samples
Car Samples
The free samples with every figure, best first, for the teaser row on vehicledb.co.za/car-auctions/live (see _car_sample_ids).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/facets
Car Facets
200 — Successful Response
json
{}GET /api/v1/car-auctions-website/lots/{lot_id}
Car Lot
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
lot_id | path | yes | integer | |
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/lots/{lot_id}/comparables
Car Lot Comparables
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
lot_id | path | yes | integer | |
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/me
Car Website Me
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}POST /api/v1/car-auctions-website/me/city
Car Website Me City
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
authorization | header | no |
Request body
json
{
"properties": {
"city": {
"type": "string",
"title": "City"
}
},
"type": "object",
"required": [
"city"
],
"title": "_CityIn"
}200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/deals
Car Deals
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
q | query | no | ||
make | query | no | ||
province | query | no | ||
source | query | no | ||
band | query | no | ||
min_year | query | no | ||
max_price | query | no | ||
min_price | query | no | ||
max_km | query | no | ||
area | query | no | ||
sort | query | no | string | |
page | query | no | integer | |
per_page | query | no | integer | |
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/deals/samples
Car Deal Samples
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/deals/facets
Car Deal Facets
200 — Successful Response
json
{}GET /api/v1/car-auctions-website/suggest
Car Suggest
The search box's typeahead: makes, then make + model pairs, that match what has been typed so far (each word starting a word of "make model", so "toy hil" finds Toyota Hilux), with how many are listed now — from the live auction lots (lots) or the valued adverts (deals).
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
q | query | yes | string | |
kind | query | no | string |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/deals/me
Car Deals Me
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/scout
Car Scout
listing: all, auctions, dealers, or one source as auctions:<source> / dealers:<source>.
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
listing | query | no | string | |
q | query | no | ||
make | query | no | ||
province | query | no | ||
area | query | no | ||
min_year | query | no | ||
max_km | query | no | ||
max_price | query | no | ||
type | query | no | ||
ends | query | no | ||
sale_type | query | no | ||
sort | query | no | string | |
page | query | no | integer | |
per_page | query | no | integer | |
authorization | header | no |
200 — Successful Response
json
{}422 — Validation Error
json
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"type": "array",
"title": "Location"
},
"msg": {
"type": "string",
"title": "Message"
},
"type": {
"type": "string",
"title": "Error Type"
}
},
"type": "object",
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}GET /api/v1/car-auctions-website/scout/facets
Car Scout Facets
The listings drop-down: both sides and each source, with counts.
200 — Successful Response
json
{}